> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy chi tiết 1 giao dịch



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /symbols/transactions/{transactionID}
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /symbols/transactions/{transactionID}:
    get:
      tags:
        - Symbols
      summary: Lấy chi tiết 1 giao dịch
      operationId: Symbols_GetTransaction
      parameters:
        - name: transactionID
          in: path
          description: ID giao dịch
          required: true
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Institutions.MajorHolderTransaction
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Institutions.MajorHolderTransaction
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - symbols-read
components:
  schemas:
    FireAnt.Api.Models.Institutions.MajorHolderTransaction:
      type: object
      properties:
        transactionID:
          format: int32
          description: ID của giao dịch
          type: integer
        majorHolderID:
          format: int32
          description: ID của cổ đông lớn
          type: integer
        individualHolderID:
          format: int32
          description: ID của cổ đông lớn (cá nhân)
          type: integer
        institutionHolderID:
          format: int32
          description: ID của cổ đông lớn (tổ chức)
          type: integer
        institutionHolderSymbol:
          description: Mã chứng khoán của tổ chức (nếu là cổ đông tổ chức)
          type: string
        institutionHolderExchange:
          description: Sàn niêm yết của tổ chức (nếu là cổ đông tổ chức)
          type: string
        name:
          description: Tên của cổ đông lớn
          type: string
        position:
          description: Vị trí của cổ đông lớn
          type: string
        symbol:
          description: Mã chứng khoán của tổ chức
          type: string
        type:
          format: int32
          description: >-
            Loại giao dịch (Purchased = Mua, Sold = Bán, StockRightPurchased =
            Mua quyền mua, StockRightSold = Bán quyền mua)
          enum:
            - 0
            - 1
            - 2
            - 3
          type: integer
        executionVolume:
          format: double
          description: Khối lượng giao dịch
          type: number
        executionDate:
          format: date-time
          description: Ngày thực thi
          type: string
        startDate:
          format: date-time
          description: Ngày bắt đầu
          type: string
        endDate:
          format: date-time
          description: Ngày kết thúc
          type: string
        registeredVolume:
          format: double
          description: Khối lượng đăng ký giao dịch
          type: number
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.